Skip to main content

Administration

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Administration
Link copied!

MethodEndpointSummary
GET/adminList administrative operations
GET/admin/accessManage access to resources
GET/admin/access/{resource}/{resourceId}List operations on a resource
GET/admin/access/{resource}/{resourceId}/membersList members on a resource
GET/admin/access/{resource}/{resourceId}/members/{sid}Get a member by id
DELETE/admin/access/{resource}/{resourceId}
/members/{sid}/permissions/{permissions}
Revoking permissions
GET/admin/modulesManage modules on resources
GET/admin/modules/hubs/{hubId}List module operations on a hub
POST/admin/modules/hubs/{hubId}/algolia-searchEnable the search index module on a hub
POST/admin/modules/hubs/{hubId}/content-delivery-2Enable the content delivery v2 module on a hub

List administrative operations
Link copied!

GET /admin

https://api.amplience.net/v2/content/admin

Lists the available administrative operations.

Responses

StatusDescription
200List of HAL links to perform the desired operations
Response Example (200)
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin"
},
"access": {
"href": "https://api.amplience.net/v2/content/admin/access"
},
"modules": {
"href": "https://api.amplience.net/v2/content/admin/modules"
}
}
}

Manage access to resources
Link copied!

GET /admin/access

https://api.amplience.net/v2/content/admin/access

With the ability to manage access you can control which users have which permissions to the resources you administer.

Responses

StatusDescription
200List of HAL links to manage permissions of users for resources
Response Example (200)
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access"
},
"hub": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/{id}",
"templated": true
},
"content-repository": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/{id}",
"templated": true
}
}
}

List operations on a resource
Link copied!

GET /admin/access/{resource}/{resourceId}

https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}

Given the id of a resource for which you are an administrator, you can see the various operations that you can perform. Simply follow the appropriate link for the resource passing in the id.

Resource TypeRequired Functional PermissionsRequired ACLs
hubsCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESSHub - READ``Hub - MANAGE_ACCESS
content-repositoriesCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESSHub - READ ContentRepository - MANAGE_ACCESS

Parameters

NameInTypeRequiredDescription
resourcepathstring (hubs, content-repositories)Resource Type
Example: hubs
resourceIdpathstringResource ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200List of resource Operations
Response example (200): Hubs
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6e"
},
"members": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6e/members"
},
"member": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/5d5bc260c9e77c035fee1c6emembers/{sid}"
}
}
}
Response example (200): Content repositories
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6e"
},
"members": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6e/members"
},
"member": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/5d5bc260c9e77c035fee1c6emembers/{sid}"
}
}
}

List members on a resource
Link copied!

GET /admin/access/{resource}/{resourceId}/members

https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members

The memebrs link will list the memebrs that have access to a particular resource. This includes the member's id (sid) and the list of permissions they have.

Resource TypeRequired Functional PermissionsRequired ACLs
hubsCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESSHub - READ Hub - MANAGE_ACCESS
content-repositoriesCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESSHub - READ ContentRepository - MANAGE_ACCESS

Parameters

NameInTypeRequiredDescription
resourcepathstring (hubs, content-repositories)Resource Type
Example: hubs
resourceIdpathstringResource ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200List of resource members
Response example (200): hub
{
"_embedded": {
"members": [
{
"sid": "alice",
"permissions": [
"READ",
"EDIT",
"DELETE",
"SHARE",
"CREATE_REPOSITORY",
"CREATE_EVENT",
"EDIT_EVENT",
"DELETE_EVENT",
"CREATE_EDITION",
"EDIT_EDITION",
"DELETE_EDITION",
"MANAGE_ACCESS",
"EDIT_WORKFLOW_STATES"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "bob",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/bob"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/bob/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "charlie",
"permissions": [
"READ",
"CREATE_REPOSITORY"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/charlie"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/charlie/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "david",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/david"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/david/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "ewan",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/ewan"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/ewan/permissions/{permission}",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members"
}
}
}
Response example (200): content-repository
{
"_embedded": {
"members": [
{
"sid": "alice",
"permissions": [
"READ",
"EDIT",
"DELETE",
"SHARE",
"CREATE_CONTENT",
"EDIT_CONTENT",
"DELETE_CONTENT",
"MANAGE_ACCESS"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/alice"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/alice/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "bob",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/bob"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/bob/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "charlie",
"permissions": [
"READ",
"CREATE_CONTENT"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/charlie"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/charlie/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "david",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/david"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/david/permissions/{permission}",
"templated": true
}
}
},
{
"sid": "ewan",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/ewan"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members/ewan/permissions/{permission}",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/content-repositories/00112233445566778899aabb/members"
}
}
}

Get a member by id
Link copied!

GET /admin/access/{resource}/{resourceId}/members/{sid}

https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members/{sid}

Given a resource and a member id you can navigate directly to a specific member by following the "member" link from the resource.

Resource TypeRequired Functional PermissionsRequired ACLs
hubsCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESSHub - READ Hub - MANAGE_ACCESS
content-repositoriesCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESSHub - READ ContentRepository - MANAGE_ACCESS

Parameters

NameInTypeRequiredDescription
resourcepathstring (hubs, content-repositories)Resource Type
Example: hubs
resourceIdpathstringResource ID
Example: 00112233445566778899aabb
sidpathstringMember ID
Example: alice

Responses

StatusDescription
200The requested member
Response example (200): hub
{
"sid": "alice",
"permissions": [
"READ"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice"
},
"revoke-permission": {
"href": "https://api.amplience.net/v2/content/admin/access/hubs/00112233445566778899aabb/members/alice/permissions/{permission}",
"templated": true
}
}
}

Revoking permissions
Link copied!

DELETE /admin/access/{resource}/{resourceId}/members/{sid}/permissions/{permissions}

https://api.amplience.net/v2/content/admin/access/{resource}/{resourceId}/members/{sid}/permissions/{permissions}

Revoke access to a specific resource by deleting a member's permission. From a member, follow the revoke-permission link passing in the permission to delete. You can specify one or multiple permissions. Multiple permissions are comma separated.

Resource TypeRequired Functional PermissionsRequired ACLs
hubsCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:HUB:MANAGE_ACCESSHub - READ
Hub - MANAGE_ACCESS
content-repositoriesCONTENT:FUNCTIONAL:ADMIN:MANAGE_ACCESS CONTENT:FUNCTIONAL:REPOSITORY:MANAGE_ACCESSHub - READ
ContentRepository - MANAGE_ACCESS

Parameters

NameInTypeRequiredDescription
resourcepathstring (hubs, content-repositories)Resource Type
Example: hubs
resourceIdpathstringResource ID
Example: 00112233445566778899aabb
sidpathstringMember ID
Example: alice
permissionspathstringPermission(s) to revoke (comma separated list)
Example: READ,EDIT

Responses

StatusDescription
204No Content

Manage modules on resources
Link copied!

GET /admin/modules

https://api.amplience.net/v2/content/admin/modules

Modules offer additional functionality which is not enabled by default. With the ability to manage modules you can control which modules are enabled on the resources you administer.

Responses

StatusDescription
200List of HAL links to manage modules on resources
Response Example (200)
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/modules"
},
"hub": {
"href": "https://api.amplience.net/v2/content/admin/modules/hubs/{id}",
"templated": true
}
}
}

List module operations on a hub
Link copied!

GET /admin/modules/hubs/{hubId}

https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}

Given the id of a hub for which you are an administrator, you can see the various module management operations that you can perform. Simply follow the appropriate link for the resource passing in the id.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200List of hub module management operations
Response Example (200)
{
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e"
},
"enable-content-delivery-2": {
"href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e/content-delivery-2"
},
"enable-algolia-search": {
"href": "https://api.amplience.net/v2/content/admin/modules/hubs/5d5bc260c9e77c035fee1c6e/algolia-search"
}
}
}

Enable the search index module on a hub
Link copied!

POST /admin/modules/hubs/{hubId}/algolia-search

https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}/algolia-search

Enable the Search Indexes module (Algolia Search) on the specified hub. Simply follow the appropriate link for the resource passing in the id.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200The updated hub with the module enabled
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "anya-finn",
"label": "Anya Finn",
"description": "Content for anyafinn.com",
"plan": "DEVELOPER",
"algoliaSearch": "ENABLED",
"cdv2": "ENABLED",
"organizationId": "org_cDQVi4ww5y6cMPtN",
"settings": {
"publishing": {
"platforms": {
"amplience_dam": {
"API_KEY": "DAM_CLIENT_KEY",
"endpoint": "endpoint"
}
}
},
"devices": [
{
"name": "New Device",
"width": 2048,
"height": 1024,
"orientate": false
}
],
"localization": {
"locales": [
"en-GB",
"fr-FR"
]
},
"applications": [
{
"name": "Preview Site",
"templatedUri": "http://example.com"
}
],
"previewVirtualStagingEnvironment": {
"hostname": "unique-id.staging.bigcontent.io"
},
"virtualStagingEnvironment": {
"hostname": "unique-id.staging.bigcontent.io"
},
"assetManagement": {
"enabled": false,
"clientConfig": "HUB"
},
"contentItems": {
"validation": {
"ignoreSchemaValidation": false
}
}
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"snapshots": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
"templated": true
},
"create-snapshot": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
},
"batch-create-snapshot": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
},
"events": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
"templated": true
},
"create-event": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/{id}/archive",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
},
"share": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
},
"content-repositories": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
"templated": true
},
"create-content-repository": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
},
"register-content-types": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
},
"create-content-type-schema": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
},
"content-types": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
"templated": true
},
"list-content-type-schemas": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
"templated": true
},
"resolve-content-type-schema": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
},
"search-content-items": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
"templated": true
},
"facet-content-items": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
"templated": true
},
"search-localization-jobs": {
"href": "https://api.amplience.net/v2/content/localization-jobs/search"
},
"webhooks": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
"templated": true
},
"create-webhook": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
},
"integrations": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
"templated": true
},
"create-workflow-state": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
},
"workflow-states": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
"templated": true
},
"create-algolia-search-index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
},
"algolia-search-indexes": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
"templated": true
}
}
}

Enable the content delivery v2 module on a hub
Link copied!

POST /admin/modules/hubs/{hubId}/content-delivery-2

https://api.amplience.net/v2/content/admin/modules/hubs/{hubId}/content-delivery-2

Enable the Content Delivery v2 module on the specified hub. Simply follow the appropriate link for the resource passing in the id.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200The updated hub with the module enabled
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "anya-finn",
"label": "Anya Finn",
"description": "Content for anyafinn.com",
"plan": "DEVELOPER",
"algoliaSearch": "ENABLED",
"cdv2": "ENABLED",
"organizationId": "org_cDQVi4ww5y6cMPtN",
"settings": {
"publishing": {
"platforms": {
"amplience_dam": {
"API_KEY": "DAM_CLIENT_KEY",
"endpoint": "endpoint"
}
}
},
"devices": [
{
"name": "New Device",
"width": 2048,
"height": 1024,
"orientate": false
}
],
"localization": {
"locales": [
"en-GB",
"fr-FR"
]
},
"applications": [
{
"name": "Preview Site",
"templatedUri": "http://example.com"
}
],
"previewVirtualStagingEnvironment": {
"hostname": "unique-id.staging.bigcontent.io"
},
"virtualStagingEnvironment": {
"hostname": "unique-id.staging.bigcontent.io"
},
"assetManagement": {
"enabled": false,
"clientConfig": "HUB"
},
"contentItems": {
"validation": {
"ignoreSchemaValidation": false
}
}
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"snapshots": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots{?page,size,sort,types}",
"templated": true
},
"create-snapshot": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots"
},
"batch-create-snapshot": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/snapshots/batch"
},
"events": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events{?page,size,sort}",
"templated": true
},
"create-event": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/{id}/archive",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update-settings": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/settings"
},
"share": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/share"
},
"content-repositories": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories{?page,size,sort}",
"templated": true
},
"create-content-repository": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-repositories"
},
"register-content-types": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types"
},
"create-content-type-schema": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas"
},
"content-types": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-types{?page,size,sort,status}",
"templated": true
},
"list-content-type-schemas": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas{?page,size,sort}",
"templated": true
},
"resolve-content-type-schema": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-type-schemas/resolve"
},
"search-content-items": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/find{?page,projection,query,size,sort}",
"templated": true
},
"facet-content-items": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/content-items/facet{?page,projection,query,size,sort}",
"templated": true
},
"search-localization-jobs": {
"href": "https://api.amplience.net/v2/content/localization-jobs/search"
},
"webhooks": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks{?page,size,sort}",
"templated": true
},
"create-webhook": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/webhooks"
},
"integrations": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/integrations{?page,size,sort}",
"templated": true
},
"create-workflow-state": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states"
},
"workflow-states": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/workflow-states{?page,size,sort}",
"templated": true
},
"create-algolia-search-index": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes"
},
"algolia-search-indexes": {
"href": "https://api.amplience.net/v2/content/algolia-search/00112233445566778899aabb/indexes{?parentId,projection,page,size,sort,status}",
"templated": true
}
}
}